Author Topic: Citrix Workspace LTSR 19.12.1000.0  (Read 2178 times)

Offline jmoock

  • Newbie
  • *
  • Posts: 5
    • View Profile
Citrix Workspace LTSR 19.12.1000.0
« on: September 10, 2020, 09:47:12 AM »
The new Citrix Workspace LTSR 19.12.1000.0 package released on 7/21/2020 appears to have the following detection issues:

  • It should supersede the Citrix Receiver 4.9 LTSR CUx packages and show as needed on devices with this package
  • It does not detect pre-existing installs of Citrix Workspace LTSR (CU1 or pre CU1), so they cannot be updated with this package

ETA: The pre-existing installs of Receiver 4.9 LTSR and Workspace 1912 LTSR are system wide installs, not per user.

Thank you

Offline jmoock

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #1 on: September 11, 2020, 07:42:46 AM »
So after taking a look at the applicability rules, it appears that Workspace LTSR also looks for the LTSROnly value =equal to True in the registry, where as the 4.9 LTSR package did not.  We had auto update disabled via GPO, which precludes us from setting this value using the Citrix ADMX, but I suppose I could set it with a GPO registry preference.  I would prefer to not have to enable the native auto updater in order to get a match for this setting.

Additionally, it would also still be nice if the package could see installs of the Receiver 4.9 LTSR as applicable for this package instead of only looking for Workspace installs.

Thank you

Offline Andrew Jimenez

  • Patch My PC - Support Engineer
  • Full Member
  • ***
  • Posts: 130
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #2 on: September 11, 2020, 01:51:32 PM »
So during our testing for Workspace LTSR, we found that if you install the application and do not define LTSROnly to equal true, then during an auto-update, the app will actually revert itself to non-ltsr. Additionally, there is no other indication for the LTSR app that the application is actually an LTSR release. Because of this, we chose to use the LTSROnly reg value to determine if the Citrix Workspace install is actually an LTSR installation. If you know of any other methods of determining if the app is in fact LTSR, we'd be happy to test that.

We are not superseding Citrix Receiver LTSR at this time because Receiver LTSR is still supported, once Receiver LTSR falls out of support, we will likely supersede it with the latest Workspace LTSR.

Offline jmoock

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #3 on: September 11, 2020, 02:17:08 PM »
I would argue that if I am using a tool like this to patch Workspace LTSR, haven't bothered to disable the native auto update, and get put back on non LTSR, then that's on me..., but I see what you're saying.

Perhaps a nested OR for folks with AutoUpdate turned off that checks to see if AutoUpdate\Banned = True AND DisplayVersion is <1913.0.0.0 could work.

Thank you for your reply

Offline Andrew Jimenez

  • Patch My PC - Support Engineer
  • Full Member
  • ***
  • Posts: 130
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #4 on: September 11, 2020, 02:28:51 PM »
The issue there is that if you have both Workspace and Workspace LTSR published, since there is nothing else differentiating them, both would be applicable.

We did however add in the install string to set the LTSROnly flag, so if you deploy Workspace LTSR via our App method, future patches from Patch My PC will be LTSR.

Offline hcoj

  • Newbie
  • *
  • Posts: 1
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #5 on: September 14, 2020, 06:15:31 AM »
So how can we get PatchMypc to detect LTSR version ? We have the same issue.
« Last Edit: September 14, 2020, 06:40:48 AM by hcoj »

Offline Andrew Jimenez

  • Patch My PC - Support Engineer
  • Full Member
  • ***
  • Posts: 130
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #6 on: September 14, 2020, 09:36:37 AM »
Create either of the following Reg key values:
HKLM\SOFTWARE\Citrix\ICA Client\AutoUpdate\Commandline Policy\LTSROnly = true
HKLM\SOFTWARE\Policies\Citrix\ICA Client\AutoUpdate\LTSROnly = true

Offline jmoock

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #7 on: March 29, 2021, 04:09:22 AM »
We are not superseding Citrix Receiver LTSR at this time because Receiver LTSR is still supported, once Receiver LTSR falls out of support, we will likely supersede it with the latest Workspace LTSR.

Since Receiver 4.9 LTSR went EOL as of 12/31/20, is there any update on having the Workspace 1912 LTSR update package supersede it?

Thank you

Offline Andrew Jimenez

  • Patch My PC - Support Engineer
  • Full Member
  • ***
  • Posts: 130
    • View Profile
Re: Citrix Workspace LTSR 19.12.1000.0
« Reply #8 on: March 29, 2021, 11:25:31 AM »
Thanks for letting us know. We've noted this and will see what we can do in terms of upgrading.